package com.ruoyi.mall.domain.Vo;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

/**
 * 专业录取计划详情
 */
public class MajorPlanVO implements Serializable {
    private static final long serialVersionUID = 1L;

    /** 我的分数 */
    private BigDecimal myScore;

    /** 学费 */
    private BigDecimal schoolPrice;

    /** 去年分数 */
    private Integer afterYearScore;

    /** 平均分 */
    private Integer average;

    /** 小分及备注 */
    private String littleScoreLimit;

    /** 招生计划记录 */
    private List<Map<String, Object>> planRecord;

    public BigDecimal getMyScore() {
        return myScore;
    }

    public void setMyScore(BigDecimal myScore) {
        this.myScore = myScore;
    }

    public BigDecimal getSchoolPrice() {
        return schoolPrice;
    }

    public void setSchoolPrice(BigDecimal schoolPrice) {
        this.schoolPrice = schoolPrice;
    }

    public Integer getAfterYearScore() {
        return afterYearScore;
    }

    public void setAfterYearScore(Integer afterYearScore) {
        this.afterYearScore = afterYearScore;
    }

    public Integer getAverage() {
        return average;
    }

    public void setAverage(Integer average) {
        this.average = average;
    }

    public String getLittleScoreLimit() {
        return littleScoreLimit;
    }

    public void setLittleScoreLimit(String littleScoreLimit) {
        this.littleScoreLimit = littleScoreLimit;
    }

    public List<Map<String, Object>> getPlanRecord() {
        return planRecord;
    }

    public void setPlanRecord(List<Map<String, Object>> planRecord) {
        this.planRecord = planRecord;
    }

    @Override
    public String toString() {
        return "MajorPlanVO{" +
                "myScore=" + myScore +
                ", schoolPrice=" + schoolPrice +
                ", afterYearScore=" + afterYearScore +
                ", average=" + average +
                ", littleScoreLimit='" + littleScoreLimit + '\'' +
                ", planRecord=" + planRecord +
                '}';
    }
}
